Redmine - Defect #37130

Wiki notation "attachment:file_name' cannot make a link to a file attached to other journals

2022-05-18 02:06 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 5.0.2

Resolution: Fixed Affected version: 5.0.0
Description

Using attachment:file_name notation in Redmine 5.0-stable and later does not work for attachments in other journals.

It worked until Redmine 4.2-stable.

Even in 5.0-stable, it is converted to a link in preview, but not after saving.
Affected version: 5.0

Related issues:

Related to Redmine - Feature #35462: Download all attachments in a journal Closed

Related to Redmine - Defect #37881: Thumbnails are no longer fetched for all ... Closed

Associated revisions

Revision 21605 - 2022-05-26 17:36 - Go MAEDA

Wiki notation “attachment:file_name™ cannot make a link to a file attached to other journals (#35462).

Patch by Mizuki ISHIKAWA.

Revision 21623 - 2022-05-30 08:37 - Marius BALTEANU

Merged r21605 to 5.0-stable (#37130).

History

#1 - 2022-05-20 04:24 - Mizuki ISHIKAWA
- File fix-37130.patch added

| attached is a patch that fixes the problem.

#2 - 2022-05-26 16:42 - Go MAEDA

- Related to Feature #35462: Download all attachments in a journal added

#3 - 2022-05-26 16:43 - Go MAEDA

- Affected version set to 5.0.0

#4 - 2022-05-26 17:41 - Go MAEDA

- Subject changed from Cannot refer to a file attached to another journal with the wiki notation "attachment:file_name" to Wiki notation
‘attachment:file_name" cannot make a link to a file attached to other journals

- Status changed from New to Closed
- Assignee set to Go MAEDA
- Target version set to 5.0.2

- Resolution set to Fixed
Committed the fix in r21605.

#5 - 2022-05-29 03:18 - Mischa The Evil

- Status changed from Closed to Reopened

Reopening this issue because r21605 still needs to be merged into source:/branches/5.0-stable.

#6 - 2022-05-29 03:19 - Mischa The Evil

- Status changed from Reopened to Resolved

#7 - 2022-05-30 08:38 - Marius BALTEANU

- Status changed from Resolved to Closed

Mischa The Evil wrote:

Reopening this issue because r21605 still needs to be merged into source:/branches/5.0-stable.

Merged, thanks for pointing this out.

#8 - 2022-12-21 04:10 - Go MAEDA

- Related to Defect #37881: Thumbnails are no longer fetched for all notes of an issue added
